PUPPET-KEY(8)

NAME
puppet-key - Create, save, and remove certificate keys.

SYNOPSIS
puppet key action [--terminus _TERMINUS] [--extra HASH]

DESCRIPTION
This subcommand manages certificate private keys. Keys are created automatically by puppet agent and when certificate requests are generated with 'puppet ssl submit_request'; it should not be necessary to use this subcommand directly.

OPTIONS
Note that any setting that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server and run_mode are valid settings, so you can specify --server <servername>, or --run_mode <runmode> as an argument.

See the configuration file documentation at https://puppet.com/docs/puppet/latest/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

--extra HASH
    A terminus can take additional arguments to refine the operation, which are passed as an arbitrary hash to the back-end. Anything passed as the extra value is just send direct to the back-end.

--terminus _TERMINUS
    Indirector faces expose indirected subsystems of Puppet. These subsystems are each able to retrieve and alter a specific type of data (with the familiar actions of find, search, save, and destroy) from an arbitrary number of pluggable backends. In Puppet parlance, these backends are called terminuses.

    Almost all indirected subsystems have a rest terminus that interacts with the puppet master's data. Most of them have additional terminuses for various local data models, which are in turn used by the indirected subsystem on the puppet master whenever it receives a remote request.

    The terminus for an action is often determined by context, but occasionally needs to be set explicitly. See the "Notes" section of this face's manpage for more details.

ACTIONS

destroy - Delete an object.
    SYNOPSIS

    puppet key destroy [--terminus _TERMINUS] [--extra HASH] key

    DESCRIPTION

    Delete an object.

find - Retrieve an object by name.
    SYNOPSIS

    puppet key find [--terminus _TERMINUS] [--extra HASH] [key]

    DESCRIPTION

    Retrieve an object by name.

info - Print the default terminus class for this face.
    SYNOPSIS

    puppet key info [--terminus _TERMINUS] [--extra HASH]

    DESCRIPTION

    Prints the default terminus class for this subcommand. Note that different run modes may have different default termini; when in doubt, specify the run mode with the '--run_mode' option.

save - API only: create or overwrite an object.
    SYNOPSIS

    puppet key save [--terminus _TERMINUS] [--extra HASH] key

    DESCRIPTION

    API only: create or overwrite an object. As the Faces framework does not currently accept data from STDIN, save actions cannot currently be invoked from the command line.

search - Search for an object or retrieve multiple objects.
    SYNOPSIS

    puppet key search [--terminus _TERMINUS] [--extra HASH] query

    DESCRIPTION

    Search for an object or retrieve multiple objects.

NOTES
This subcommand is an indirector face, which exposes find, search, save, and destroy actions for an indirected subsystem of Puppet. Valid termini for this face include:

•   file

•   memory

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Inc. Apache 2 license; see COPYING